CREATE TABLE users (
	id INT AUTO_INCREMENT NOT NULL,
	email VARCHAR(255) NOT NULL,
	password VARCHAR(255) NOT NULL,
    datetime_created DATETIME DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY(id)
);


CREATE TABLE posts (
	id INT AUTO_INCREMENT NOT NULL,
	title VARCHAR(255) NOT NULL,
	content VARCHAR(255) NOT NULL,
	datetime_posted DATETIME DEFAULT CURRENT_TIMESTAMP,
    author_id INT,
	PRIMARY KEY(id),
	FOREIGN KEY(author_id) 
	REFERENCES users(id)
		ON UPDATE CASCADE
	    ON DELETE CASCADE
);


CREATE TABLE posts_comments (
	id INT AUTO_INCREMENT NOT NULL,
	content VARCHAR(255) NOT NULL,
	datetime_commented DATETIME DEFAULT CURRENT_TIMESTAMP,
    post_id INT,
    user_id INT,
    PRIMARY KEY(id),
	
	FOREIGN KEY(post_id) 
	REFERENCES posts(id)
		ON UPDATE CASCADE
	    ON DELETE CASCADE,
	
	FOREIGN KEY(user_id) 
	REFERENCES posts(id)
		ON UPDATE CASCADE
	    ON DELETE CASCADE

);


CREATE TABLE posts_likes (
	id INT AUTO_INCREMENT NOT NULL,
	datetime_liked DATETIME DEFAULT CURRENT_TIMESTAMP,
    post_id INT,
    user_id INT,
    PRIMARY KEY(id),
	
	FOREIGN KEY(post_id) 
	REFERENCES posts(id)
		ON UPDATE CASCADE
	    ON DELETE CASCADE,
	
	FOREIGN KEY(user_id) 
	REFERENCES posts(id)
		ON UPDATE CASCADE
	    ON DELETE CASCADE

);
